<template>
  <q-page class="flex flex-center">
    <q-card style="max-width: 500px; margin: auto">
      <h3 style="margin:5px; text-align:center">Instellingen</h3>
       <q-separator />
        <q-card-section style="text-align: center">
          <q-toggle
        v-model="setting.nummer"
        @input="update()"
        label="Nummer"
      />
      <q-toggle
        v-model="setting.faciliteiten"
        @input="update()"
        label="Faciliteiten"
      />
      <q-toggle
        v-model="setting.patiënt"
        @input="update()"
        label="Patiënt"
      />
       <q-toggle
        v-model="setting.monitoringData"
        @input="update()"
        label="Monitoring Data"
      />
       <q-toggle
        v-model="setting.eerstvolgendeActie"
        @input="update()"
        label="Eerstvolgende Actie"
      />
        <q-toggle
        v-model="setting.geluid"
        @input="update()"
        label="Geluid Alarm"
      />
      </q-card-section>
       <q-separator />
       <q-card-section>
         <h6 style="margin:0">Drempelwaarden</h6>
         <q-input v-model.number="setting.minHart" type="number" @blur="update()" label="Min Hartslag" />
         <q-input v-model.number="setting.maxHart" type="number" @blur="update()" label="Max Hartslag" />
          <br>
          <q-input v-model.number="setting.minBloed" type="number" @blur="update()" label="Min Bloeddruk" />
         <q-input v-model.number="setting.maxBloed" type="number" @blur="update()" label="Max Bloeddruk" />
      </q-card-section>
       <q-separator />
       <q-card-section>
         <h6 style="margin:0">Tijd voor volgende actie</h6>
         <q-input v-model.number="setting.tijd" type="number" @blur="update()" label="Tijd" />
      </q-card-section>

<q-card-section>
  <h6 style="margin:0">Kleuren</h6>
<q-input
        filled
        v-model="setting.kleuren.vrij"
        :rules="['anyColor']"
        hint="Vrij"
        @blur="update()"
      >
        <template v-slot:append>
          <q-icon name="colorize" class="cursor-pointer">
            <q-popup-proxy transition-show="scale" transition-hide="scale">
              <q-color no-header no-footer v-model="setting.kleuren.vrij" />
            </q-popup-proxy>
          </q-icon>
        </template>
      </q-input>

      <q-input
        filled
        v-model="setting.kleuren.bezet"
        :rules="['anyColor']"
        hint="Bezet"
        @blur="update()"
      >
        <template v-slot:append>
          <q-icon name="colorize" class="cursor-pointer">
            <q-popup-proxy transition-show="scale" transition-hide="scale">
              <q-color no-header no-footer v-model="setting.kleuren.bezet" />
            </q-popup-proxy>
          </q-icon>
        </template>
      </q-input>

      <q-input
        filled
        v-model="setting.kleuren.hulp"
        :rules="['anyColor']"
        hint="Hulp"
        @blur="update()"
      >
        <template v-slot:append>
          <q-icon name="colorize" class="cursor-pointer">
            <q-popup-proxy transition-show="scale" transition-hide="scale">
              <q-color no-header no-footer v-model="setting.kleuren.hulp" />
            </q-popup-proxy>
          </q-icon>
        </template>
      </q-input>

      <q-input
        filled
        v-model="setting.kleuren.gradient1"
        :rules="['anyColor']"
        hint="Kleur 1 Gradient"
        @blur="update()"
      >
        <template v-slot:append>
          <q-icon name="colorize" class="cursor-pointer">
            <q-popup-proxy transition-show="scale" transition-hide="scale">
              <q-color no-header no-footer v-model="setting.kleuren.gradient1" />
            </q-popup-proxy>
          </q-icon>
        </template>
      </q-input>

      <q-input
        filled
        v-model="setting.kleuren.gradient2"
        :rules="['anyColor']"
        hint="Kleur 2 Gradient"
        @blur="update()"
      >
        <template v-slot:append>
          <q-icon name="colorize" class="cursor-pointer">
            <q-popup-proxy transition-show="scale" transition-hide="scale">
              <q-color no-header no-footer v-model="setting.kleuren.gradient2" />
            </q-popup-proxy>
          </q-icon>
        </template>
      </q-input>

      <q-input
        filled
        v-model="setting.kleuren.alarm"
        :rules="['anyColor']"
        hint="Kleur Alarm"
        @blur="update()"
      >
        <template v-slot:append>
          <q-icon name="colorize" class="cursor-pointer">
            <q-popup-proxy transition-show="scale" transition-hide="scale">
              <q-color no-header no-footer v-model="setting.kleuren.alarm" />
            </q-popup-proxy>
          </q-icon>
        </template>
      </q-input>
 </q-card-section>
      </q-card>
  </q-page>
</template>

<script>
export default {
  name: 'Settings',
  data () {
    return {
      setting: Object
    }
  },
  // settings worden opgehaald met een getter
  created () {
    this.setting = this.$store.getters['settings/settings']
  },
  methods: {
    // de settings worden geupdate met een action die dan de mutation aanroept en de nieuwe settings in de object dat alle states bevat
    update () {
      this.$store.dispatch('settings/setSettings', this.setting)
    }
  }
}

</script>
